org.apache.jmeter.rmi

## Class SSLRMIServerSocketFactory

- java.lang.Object
- - org.apache.jmeter.rmi.SSLRMIServerSocketFactory

- All Implemented Interfaces:
    Serializable, RMIServerSocketFactory

      public class SSLRMIServerSocketFactory
      extends Object
      implements RMIServerSocketFactory, Serializable

  Implementation of `RMIServerSocketFactoryImpl` that:
  - Binds socket to an address
  - Establishes SSL connection
  Since:
    4.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLRMIServerSocketFactory(InetAddress pAddress)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ServerSocket` | `createServerSocket(int port)`
    `void` | `setAlias(String alias)`
    `void` | `setKeystore(String location, String type, String password)`
    `void` | `setNeedClientAuth(boolean clientAuth)`
    `void` | `setTruststore(String location, String type, String password)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLRMIServerSocketFactory

          public SSLRMIServerSocketFactory(InetAddress pAddress)

  - ### Method Detail

    - #### setNeedClientAuth

          public void setNeedClientAuth(boolean clientAuth)

    - #### setKeystore

          public void setKeystore(String location,
                                  String type,
                                  String password)

    - #### setTruststore

          public void setTruststore(String location,
                                    String type,
                                    String password)

    - #### setAlias

          public void setAlias(String alias)

    - #### createServerSocket

          public ServerSocket createServerSocket(int port)
                                          throws IOException

      Specified by:
        `createServerSocket` in interface `RMIServerSocketFactory`
      Throws:
        `IOException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 1998-2022 Apache Software Foundation. All Rights Reserved.